org.keycloak.protocol.docker

## Class DockerKeyIdentifier.DelimitingCollector

- java.lang.Object
- - org.keycloak.protocol.docker.DockerKeyIdentifier.DelimitingCollector

- All Implemented Interfaces:
    Collector<Byte,StringBuilder,String>
  Enclosing class:
    DockerKeyIdentifier

      public static class DockerKeyIdentifier.DelimitingCollector
      extends Object
      implements Collector<Byte,StringBuilder,String>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.stream.Collector

      `Collector.Characteristics`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelimitingCollector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BiConsumer<StringBuilder,Byte>` | `accumulator()`
    `Set<Collector.Characteristics>` | `characteristics()`
    `BinaryOperator<StringBuilder>` | `combiner()`
    `Function<StringBuilder,String>` | `finisher()`
    `Supplier<StringBuilder>` | `supplier()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.stream.Collector

      `of, of`

- - ### Constructor Detail

    - #### DelimitingCollector

          public DelimitingCollector()

  - ### Method Detail

    - #### supplier

          public Supplier<StringBuilder> supplier()

      Specified by:
        `supplier` in interface `Collector<Byte,StringBuilder,String>`

    - #### accumulator

          public BiConsumer<StringBuilder,Byte> accumulator()

      Specified by:
        `accumulator` in interface `Collector<Byte,StringBuilder,String>`

    - #### combiner

          public BinaryOperator<StringBuilder> combiner()

      Specified by:
        `combiner` in interface `Collector<Byte,StringBuilder,String>`

    - #### finisher

          public Function<StringBuilder,String> finisher()

      Specified by:
        `finisher` in interface `Collector<Byte,StringBuilder,String>`

    - #### characteristics

          public Set<Collector.Characteristics> characteristics()

      Specified by:
        `characteristics` in interface `Collector<Byte,StringBuilder,String>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.